Requirements | Flextype

Requirements

Getting Started

You can easily run Flextype on your local computer and on any Web hosting providers. Make sure that your server meets the following requirements:

  • Web Server Apache.
  • PHP 7.2.5 or higher.

Web Server Requirements

Flextype architecture is so elegant simple that it is can easily run on the most of available web servers.

For local development you may install one of this amazing servers:

  • XAMPP is a completely free, easy to install Apache distribution containing MariaDB, PHP, and Perl. The XAMPP open source package has been set up to be incredibly easy to install and to use.

  • MAMP is a free, local server environment that can be installed under macOS and Windows with just a few clicks. MAMP provides them with all the tools they need to run WordPress on their desktop PC for testing or development purposes, for example. With the help of our local DNS server NAMO, you can even easily test your projects on mobile devices. It doesn't matter if you prefer Apache or Nginx or if you want to work with PHP, Python, Perl or Ruby.

  • EasyPHP is a complete and ready-to-use PHP development environment on Windows including the web server Apache, the SQL Server MySQL and others development tools.

  • Laragon is a fast & powerful local development environment.

Make sure that your web server provides Mod Rewrite.

PHP Requirements

Flextype needs PHP 7.2.0 or higher and the following PHP extensions to be enabled:

Although it is optional, we strongly recommend enabling the following PHP extensions: APC, APCu, XCache, Memcached, or Redis for better performance.

Language: en, ru Version: 0.9.9 | 0.9.8 | 0.9.7